<template>
  <v-card>
    <v-card-title>
      {{ tableTitle }}
      <v-spacer />
      <v-col md="6">
        <v-text-field
          v-model="search"
          append-icon="mdi-magnify"
          :label="searchText"
          single-line
          hide-details
          @input="filterPatientByName(search)"
        />
      </v-col>
    </v-card-title>
    <v-data-table
      :headers="headers"
      :loading="loading"
      :items="items"
      :page="page"
      :items-per-page="itemsPerPage"
      locale="es"
      @update:pagination="paginate"
    >
      <template #item.image="{ item }">
        <img
          :src="item.profileImageUrl"
          width="50"
          height="50"
          class="pa-0 secondary rounded-circle d-inline-block"
          alt="Foto del paciente"
        >
      </template>
      <template  #item.full_name="{ item }">
        {{ item.name }} {{ item.fatherLastname }} {{ item.motherLastname }}
      </template>

      <template #item.button="{ item }">
        <v-btn
          depressed
          rounded
          color="primary"
          @click="goToDetail(item.uuid,item.dni)"
        >
          VER HISTORIAL
        </v-btn>
      </template>
    </v-data-table>
  </v-card>
</template>

<script>
import { mapActions, mapState, mapGetters } from 'vuex';

export default {
  name: 'SearchTable',
  props: {
    filterPatientByName: Function,
    'tableTitle': {
      type: String,
      default: '',
    },
    'headers': {
      type: Array,
      default: null,
    },
    'fullName': {
      default: false,
      type: Boolean,
    },
    'loading': {
      default: false,
      type: Boolean,
    },
    'items': Array,
    'page': {
      default: 0,
      type: Number,
    },
    'itemsPerPage': {
      default: 5,
      type: Number,
    },
    'searchText': {
      default: 'Buscar',
      type: String,
    },
  },
  data() {
    return {
      search: '',
    };
  },
  methods: {
    ...mapActions({
      setPatientUuid: 'patient/patient/setPatientUuid',
    }),
    paginate(val) {
      console.log(val);
      console.log(this.$route.query);
    },
    goToDetail(uuid,dni) {
      this.setPatientUuid(uuid);
      this.$router.push(`/especialista/pacientes/${dni}`);
    },
    
  },
};
</script>
